GDB (xrefs)

Public Attributes | List of all members
linespec_sals Struct Reference

`#include "linespec.h"`

## Public Attributes
char * | canonical
std::vector< symtab_and_line > | sals

## Detailed Description

Definition at line 41 of file linespec.h.

## Member Data Documentation

## ◆ canonical

char* linespec_sals::canonical

Definition at line 47 of file linespec.h.

Referenced by bkpt_probe_create_sals_from_location(), convert_results_to_lsals(), filter_results(), parse_breakpoint_sals(), strace_marker_create_breakpoints_sal(), and strace_marker_create_sals_from_location().

## ◆ sals

std::vector<symtab_and_line> linespec_sals::sals

Definition at line 50 of file linespec.h.

Referenced by bkpt_probe_create_sals_from_location(), bkpt_probe_decode_location(), break_range_command(), breakpoint_sals_to_pc(), convert_results_to_lsals(), create_breakpoint(), decode_location_default(), filter_results(), parse_breakpoint_sals(), strace_marker_create_breakpoints_sal(), and strace_marker_create_sals_from_location().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/linespec.h